| CMSIS-DSP Verison 1.4.1 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_cfft_f32.c File Reference

## Functions
void | arm_radix8_butterfly_f32 (float32_t *pSrc, uint16_t fftLen, const float32_t *pCoef, uint16_t twidCoefModifier)
void | arm_bitreversal_32 (uint32_t *pSrc, const uint16_t bitRevLen, const uint16_t *pBitRevTable)
void | arm_cfft_radix8by2_f32 (arm_cfft_instance_f32 *S, float32_t *p1)
void | arm_cfft_radix8by4_f32 (arm_cfft_instance_f32 *S, float32_t *p1)
void | arm_cfft_f32 (const arm_cfft_instance_f32 *S, float32_t *p1, uint8_t ifftFlag, uint8_t bitReverseFlag)
| Processing function for the floating-point complex FFT. More...

## Function Documentation

void arm_bitreversal_32 | ( | uint32_t * | pSrc,
|  | const uint16_t | bitRevLen,
|  | const uint16_t * | pBitRevTable
| ) |  |

Referenced by arm_cfft_f32().

void arm_cfft_radix8by2_f32 | ( | arm_cfft_instance_f32 * | S,
|  | float32_t * | p1
| ) |  |

References arm_radix8_butterfly_f32(), arm_cfft_instance_f32::fftLen, and arm_cfft_instance_f32::pTwiddle.

Referenced by arm_cfft_f32().

void arm_cfft_radix8by4_f32 | ( | arm_cfft_instance_f32 * | S,
|  | float32_t * | p1
| ) |  |

References arm_radix8_butterfly_f32(), arm_cfft_instance_f32::fftLen, and arm_cfft_instance_f32::pTwiddle.

Referenced by arm_cfft_f32().

void arm_radix8_butterfly_f32 | ( | float32_t * | pSrc,
|  | uint16_t | fftLen,
|  | const float32_t * | pCoef,
|  | uint16_t | twidCoefModifier
| ) |  |

Referenced by arm_cfft_f32(), arm_cfft_radix8by2_f32(), and arm_cfft_radix8by4_f32().